-- Variables
selecteur = 0
selecteurMax = 2
nombre = 0

oldpad = Controls.read()

endroit = "Menu"

-- Timer

minuteur = Timer.new()
minuteur:start()

while true do
	screen:clear()
	pad = Controls.read()
	
	if endroit == "Menu" then
	
		temps = minuteur:time()
	
		screen:print(10,10,"Menu UMD", violet)
		screen:print(30,40,"Lancer votre UMD", blanc)
		screen:print(30,55,"Mettre votre UMD en USB", blanc)
		screen:print(30,85,"Retour au menu", blanc)
		
		if pad:up() and not oldpad:up() then -- Si on appuie sur la flche du haut...
			if selecteur ~= 0 then -- Si le selecteur est diffrent de 0
				selecteur = selecteur -1 -- On dplace le selecteur d'une position en arrire
			end
		end
			
		if pad:down() and not oldpad:down() then -- Si on appuie sur bas...
			if selecteur ~= selecteurMax then -- Si le selecteur est infrieur au selecteurMax (4)
				selecteur = selecteur +1 -- On dplace le selecteur d'une position en avant
			end
		end
			
		if selecteur == 0 then -- Si le selecteur est a 0
			screen:print(30,40,"Lancer votre UMD", violet)
		elseif selecteur == 1 then -- Sinon si le selecteur est gal  1
			screen:print(30,55,"Mettre votre UMD en USB", violet)
		elseif selecteur == 2 then -- Sinon si le selecteur est gal  2
			screen:print(30,85,"Retour au menu", violet)
		end
			
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur X...
			
			if selecteur == 0 then -- Si le selecteur est gal  0
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Lancement de l'UMD...", violet)
				screen.flip()
				System.sleep(500)
				System.startUMD()
			elseif selecteur == 1 then -- Sinon si le selecteur est gal  1
				System.usbDevUMD()
				System.usbDiskModeActivate() -- On active l'usb du umd
				System.message("USB UMD active \nO pour desactive",0)
				System.usbDiskModeDeactivate() -- Si O prss on dsactive
			elseif selecteur == 2 then -- Sinon si le selecteur est gal  2
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Retour...", violet)
				screen.flip()
				System.sleep(400)
				dofile("Scripts/menu.lua")
			end
			
		end 
		
		centreText(220,"************************************************************",violet)
		
		if pad:select() and not oldpad:select() then -- Si on appuie sur select alors...
			nombre = nombre +1 -- On augmente la valeur de 1
			screen:save("ms0:/PICTURE/Image_umd"..nombre..".png") -- On enregistre le screenshot
			System.message("La capture d'ecran : Image_umd"..nombre.." a ete enregistree avec succes",0)
		end
		
		if not pad:cross() and not pad:square() and not pad:triangle() and not pad:circle() and not pad:l() and not pad:r() and not pad:down() and not pad:left() and not pad:right() and not pad:up() and not pad:start() and not pad:select() and not pad:home() and not pad:hold() and not (pad:analogY() < -20) and not (pad:analogY() > 20) and not (pad:analogX() < -20) and not (pad:analogX() > 20) and temps >= 15000 then
			endroit = "Veille"
		elseif pad:cross() or pad:square() or pad:triangle() or pad:circle() or pad:l() or pad:r() or pad:down() or pad:left() or pad:right() or pad:up() or pad:start() or pad:select() or pad:home() or pad:hold() or (pad:analogY() < -20) or (pad:analogY() > 20) or (pad:analogX() < -20) or (pad:analogX() > 20) then
			minuteur:reset(0)
			minuteur:stop()
			minuteur:start()
		end
	end
	
	if endroit == "Veille" then
		for i = 1, size do
			starfield[i].z = starfield[i].z - speed
			if starfield[i].z < speed then createStar(i) end
				x = width / 2 + starfield[i].x / starfield[i].z
				y = height / 2 + starfield[i].y / starfield[i].z
			if x < 0 or y < 0 or x >= width or y >= height then
				createStar(i)
			else
				screen:pixel(x,y,violet)
			end
		end
		if pad:cross() or pad:square() or pad:triangle() or pad:circle() or pad:l() or pad:r() or pad:down() or pad:left() or pad:right() or pad:up() or pad:start() or pad:select() or pad:home() or pad:hold() or (pad:analogY() < -20) or (pad:analogY() > 20) or (pad:analogX() < -20) or (pad:analogX() > 20) then
			endroit = "Menu"
		end
	end
	
	
	
	screen.flip()
	screen.waitVblankStart()
	oldpad = pad
end 