dofile("lib/standards.lib")

oldpad = Controls.read() --  Initialisation du oldpad

-- Image

fond = Image.load("images/poste_de_travail.png") -- Fond du poste de travail
fond_info_system = Image.load("images/Menu home/Home Systeme.png") -- Fond info System
fond_gestionnaire = Image.load("images/Menu home/Home Gestionnaire Homebrew.png") -- Fond Gestionnaire
fond_zip = Image.load("images/Menu home/Home Archiveur.png") -- Fond Zip
souris = { x = 240, y = 136, s = Image.load("images/mouse.png") } -- Souris
fond_dump = Image.load("ms0:/PSP/GAME/GoodShell v3/images/Menu home/Home Dump UMD.png")
--

-- Variables
 
Partie = 1
Saut = 12
Select = 1
PosY = 30
Espace = 10
PosYDep = 30
PosX = 30

size = 200
zMax = 5
speed = 0.1
width = 480
height = 272

nombre = 0

umd = UMD.checkDisk()
espacems = System.getFreeSpace("ms0:/")
tailleumd = UMD.getSize()

tailleumd = tailleumd /1024/1024

-- Timer

minuteur = Timer.new()
minuteur:start()

adresse_mac = Adhoc.getMac()
firmware = System.cfwVersion()
pseudo = System.nickName()
ms = System.getFreeSpace("ms0:/")
modele = System.getModel(1)

ms = ms /1024/1024

degre_de_batterie = System.powerGetBatteryTemp()
temps_restant = System.powerGetBatteryLifeTime()
pourcent = System.powerGetBatteryLifePercent()
batterieexist = System.powerIsBatteryExist()
volt_batterie = System.powerGetBatteryVolt()
--

System.currentDirectory("ms0:/") -- On se place  la racine
Fichiers = System.listDirectory() -- Liste tout les fichiers dans un tableau "fichiers"

endroit = "Poste_de_travail"

-- Boucle principale

while true do
	pad = Controls.read()
	screen:clear()
	
		extension = string.upper(string.sub(Fichiers[Select].name, -3))
		
		if endroit == "Info_system" then
			screen:blit(0,0,fond_info_system)
			PrintC(20,30,"Informations Systeme: ",violet)
			PrintC(20,50,"Pseudo: "..pseudo,blanc)
			PrintC(20,60,"Version: "..firmware,blanc)
			PrintC(20,70,"Modele PSP: "..modele,blanc)
			PrintC(20,80,"Capacite du memory stick: "..ms.." mo",blanc)
			PrintC(20,90,"Adresse Mac: "..adresse_mac,blanc)
			PrintC(20,110,"Informations sur la batterie: ",violet)
			PrintC(20,130,"Pourcentage de la batterie: "..pourcent.."%",blanc)
			PrintC(20,140,"Temps Restant: "..temps_restant.." minutes",blanc)
			PrintC(20,150,"Temperature de la batterie: "..degre_de_batterie.."C",blanc)
			PrintC(20,160, "Tension de la batterie: "..volt_batterie.." mV",blanc)

			if System.powerIsPowerOnline() then  -- Si la psp charge,
				PrintC(20,180, "Batterie sur secteur: OUI ",rouge) -- On affiche oui
			else -- Sinon
				PrintC(20,180, "Batterie sur secteur: NON ",violet) -- On affiche non
			end
				PrintC(20,260,"Start : retourner au menu", violet)
				
			if pad:start() and not oldpad:start() then -- Si on appuie sur start...
				endroit = "Poste_de_travail"
			end
		end
		
		
		if endroit == "Zip" then
			screen:blit(0,0,fond_zip) -- Affiche le fond
			
			explorateur() -- Appelle la fonction de l'explorateur
			curseur() -- Appelle la fonction du curseur
			
			if not Fichiers[Select].directory and extension == "zip" or extension == "ZIP" then -- Si le fichier en cours est un fichier
				PrintC(10,247,"Fichier ZIP en cour : "..Fichiers[Select].name, blanc) -- On marque le fichier en cours
			else -- Sinon
				PrintC(10,247,"Fichier ZIP en cour : Aucun", blanc) -- On marque le dossier en cours
			end
	      
		    if pad:cross() and not oldpad:cross() then -- Si on appuie sur X alors...
				if Fichiers[Select].directory == true	then -- Si le fichier en cours est un dossier et qu'on appuit sur X
					ouvrir() -- On ouvre le dossier
				end
				if Fichiers[Select].directory == false then -- Sinon
					if extension == "zip" or extension == "ZIP" then -- Regarde l'extension du fichier, si "zip, si oui,
						extraire_zip() -- On extrait
					end	
				end
			end
			
		    if pad:circle() and not oldpad:circle() then -- Si on appuit sur Rond...
		        precedent() -- On retourne au dossier prcdent
		    end
			
			PrintC(10,260,"Start : retour au poste de travail", violet)
			
			if pad:start() and not oldpad:start() then -- Si on appuie sur start...
				endroit = "Poste_de_travail"
			end	
		end
		
		
		if endroit == "Gestionnaire" then
		
			screen:blit(0,0,fond_gestionnaire) -- Affiche le fond
			
			explorateur() -- On appelle la fonction de l'explorateur
			curseur() -- Fonction curseur
			
			if not Fichiers[Select].directory then -- Si le fichier en cours est un fichier
				PrintC(10,247,"Fichier en cour : "..Fichiers[Select].name, blanc) -- On marque le fichier en cours
			else -- Sinon
				PrintC(10,247,"Dossier en cour : "..Fichiers[Select].name, blanc) -- On marque le dossier en cours
			end
	      
		    if pad:cross() and not oldpad:cross() then -- Si on appuie sur X...
				if Fichiers[Select].directory == true	then -- Si le fichier en cours est un dossier et qu'on appuit sur X
					ouvrir() -- On ouvre le dossier
				end
				if Fichiers[Select].directory == false then -- Sinon
					if extension == "ttf" or extension == "TTF" then -- Si l'extension est TTF
						endroit = "Test_police"
						taille = System.startOSK("12","Taille de la police") -- On ecrit la taille que l'on veux
						texte = System.startOSK("","Choisissez votre texte") -- On choisi notre texte
					end
				end
			end
			
			if extension == "pbp" or extension == "PBP" then -- On regarde si l'extension est pbp ou PBP, si oui,
				eboot = Fichiers[Select].name
				image = System.getEboot(eboot,1) -- On crer une variable "image"
				screen:blit(250,50,image)
			end
		
			if pad:circle() and not oldpad:circle() then -- Si on appuit sur Rond...
		        precedent()   -- On retourne au dossier prcdent
		    end 
			
			if pad:left() and not oldpad:left() then -- Si on appuie sur carr...
				copier() -- On copie
			end
			
			if pad:triangle() and not oldpad:triangle() then -- Si on appuie sur triangle...
				System.message("Voulez-vous vraiment le supprimer ?",1) -- On demande  l'utilisateur si il veux vraiment supprimer
				if System.buttonPressed(0) == 1 then -- Si oui on supprime, si non on ne supprile pas
					supprimer() -- On supprime
				end
			end
			
			if pad:square() and not oldpad:square() then -- Si on appuie sur L...
				renommer() -- On renomme
			end
			
			if pad:r() and not oldpad:r() then -- Si on appuie sur R...
				creer_dossier() -- On crer un dossier
			end	
			
			if pad:l() and not oldpad:l() then -- Si on appuie sur la fleche de gauche...
				creer_fichier() -- On crer un fichier
			end
			
			if pad:hold() and not oldpad:hold() then -- Si on appuie sur hold...
				endroit = "Aide"
			end
			
			if pad:start() and not oldpad:start() then -- Si on appuie sur start...
				endroit = "Poste_de_travail" -- On revient au poste de travail
			end
			
			PrintC(10,260,"Start : retour au poste de travail", violet)
			
			PrintC(355,3,"Hold : aide",violet)
		end
		
		
		if endroit == "Test_police" then
			police = Font.load(Fichiers[Select].name) -- Charge les police
				police:setPixelSizes(taille,taille) -- Taille de la police
					screen:clear(noir)
					screen:fontPrint(police,115,115,texte, blanc) -- Affiche le police
					PrintC(10,260,"Start : Retour",violet)
					PrintC(220,260,"Nom de la police : "..Fichiers[Select].name,violet)
				if pad:start() and not oldpad:start() then -- Si on appuie sur start...
					endroit = "Gestionnaire"
				end
		end
		
		if endroit == "Dump_UMD" then
			screen:blit(0,0,fond_dump)
			
			deplacement_souris()
			
			if souris.x > 0 and souris.x < 40 and souris.y > 231 and souris.y < 271 then
				if pad:cross() and not oldpad:cross() then
					System.currentDirectory("ms0:/PSP/GAME/GoodShell v3")
					dofile("Scripts/menu.lua")
				end
			end
			if souris.x > 0 and souris.x < 40 and souris.y > 231 and souris.y < 271 then
				effet(147,"Retour au menu",violet)
			end

			if umd == 1 then
				PrintC(10,10,"Il reste "..espacems.." MB sur la MS", violet)
				PrintC(10,25,"L'UMD fait "..tailleumd.." MB", violet)
			else
				System.message("Aucun UMD Present dans le Lecteur, inserez en un puis appuyer sur O", 0)
			end
			if pad:cross() and not oldpad:cross() then
				dump_umd()
			end
		end

		if endroit == "Poste_de_travail" then
			screen:blit(0,0,fond) -- On affiche le fond du poste de travail
			
			temps = minuteur:time()
			
			deplacement_souris()

			if souris.x > 145 and souris.x < 187 and souris.y > 93 and souris.y < 133 then
				if pad:cross() and not oldpad:cross() then
					endroit = "Zip"
				end
			end
			if souris.x > 145 and souris.x < 187 and souris.y > 93 and souris.y < 133 then
				effet(147,"Extraire les .zip",violet)
			end
			
			
			if souris.x > 192 and souris.x < 235 and souris.y > 96 and souris.y < 133 then
				if pad:cross() and not oldpad:cross() then
					endroit = "Info_system"
				end
			end
			if souris.x > 192 and souris.x < 235 and souris.y > 96 and souris.y < 133 then
				effet(147,"Infos system",violet)
			end
			

			if souris.x > 248 and souris.x < 286 and souris.y > 93 and souris.y < 133 then
				if pad:cross() and not oldpad:cross() then
					endroit = "Dump_UMD"
				end
			end
			if souris.x > 248 and souris.x < 286 and souris.y > 93 and souris.y < 133 then
				effet(147,"Dump UMD",violet)
			end
			
			
			if souris.x > 294 and souris.x < 334 and souris.y > 95 and souris.y < 133 then
				if pad:cross() and not oldpad:cross() then
					endroit = "Gestionnaire"
				end
			end
			if souris.x > 294 and souris.x < 334 and souris.y > 95 and souris.y < 133 then
				effet(147,"Gestionnaire d'homebrews",violet)
			end
			
			
			if souris.x > 0 and souris.x < 40 and souris.y > 231 and souris.y < 271 then
				if pad:cross() and not oldpad:cross() then
					System.currentDirectory("ms0:/PSP/GAME/GoodShell v3")
					fond = nil
					fond_info_system = nil
					fond_gestionnaire = nil
					fond_zip = nil
					fond_dump = nil
					dofile("Scripts/menu.lua")
				end
			end
			if souris.x > 0 and souris.x < 40 and souris.y > 231 and souris.y < 271 then
				effet(147,"Retour au menu",violet)
			end
			
			if not pad:cross() and not pad:square() and not pad:triangle() and not pad:circle() and not pad:l() and not pad:r() and not pad:down() and not pad:left() and not pad:right() and not pad:up() and not pad:start() and not pad:select() and not pad:home() and not pad:hold() and not (pad:analogY() < -20) and not (pad:analogY() > 20) and not (pad:analogX() < -20) and not (pad:analogX() > 20) and temps >= 15000 then
				endroit = "Veille"
			elseif pad:cross() or pad:square() or pad:triangle() or pad:circle() or pad:l() or pad:r() or pad:down() or pad:left() or pad:right() or pad:up() or pad:start() or pad:select() or pad:home() or pad:hold() or (pad:analogY() < -20) or (pad:analogY() > 20) or (pad:analogX() < -20) or (pad:analogX() > 20) then
				minuteur:reset(0)
				minuteur:stop()
				minuteur:start()
			end
		end
		
		if endroit == "Veille" then
			for i = 1, size do
				starfield[i].z = starfield[i].z - speed
				if starfield[i].z < speed then createStar(i) end
					x = width / 2 + starfield[i].x / starfield[i].z
					y = height / 2 + starfield[i].y / starfield[i].z
				if x < 0 or y < 0 or x >= width or y >= height then
					createStar(i)
				else
					screen:pixel(x,y,violet)
				end
			end
			if pad:cross() or pad:square() or pad:triangle() or pad:circle() or pad:l() or pad:r() or pad:down() or pad:left() or pad:right() or pad:up() or pad:start() or pad:select() or pad:home() or pad:hold() or (pad:analogY() < -20) or (pad:analogY() > 20) or (pad:analogX() < -20) or (pad:analogX() > 20) then
				endroit = "Poste_de_travail"
			end
		end

		if endroit == "Aide" then
			screen:blit(0,0,fond_gestionnaire)
				PrintC(20,20,"Commandes :",violet)
				PrintC(20,40,"Dossiers :",violet)
				PrintC(20,60,"Triangle : Supprimer un dossier",blanc)
				PrintC(20,70,"[] : Renommer un dossier",blanc)
				PrintC(20,80,"R : Creer un dossier",blanc)
				PrintC(20,110,"Fichiers :",violet)
				PrintC(20,130,"L : Creer un fichier",blanc)
				PrintC(20,140,"[] : Renommer un fichier",blanc)
				PrintC(20,150,"Triangle : Supprimer un fichier",blanc)
				PrintC(20,160,"< : Copier un fichier",blanc)
				PrintC(20,260,"Start : retourner a l'explorateur",violet)
			
			if pad:start() and not oldpad:start() then -- Si on appuie sur start...
				endroit = "Gestionnaire"
			end
		end
		
		if pad:select() and not oldpad:select() then -- Si on appuie sur select alors...
			nombre = nombre +1 -- On augmente la valeur de 1
			screen:save("ms0:/PICTURE/Image_poste"..nombre..".png") -- On enregistre le screenshot
			System.message("La capture d'ecran : Image_poste"..nombre.." a ete enregistree avec succes",0)
		end

screen:flip()
screen.waitVblankStart()
oldpad = pad
end