dofile("lib/standards.lib") -- On inclut la librairie cre par votre serviteur
oldpad = Controls.read() -- On initialise oldpad pour viter les bugs
fond = createImage("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/fond.png", 0, 0) -- Utilisation du LUA orient objet : on cr un objet image, image : "fond", X : 0, Y : 
canard = createImage("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/canard.png", 240, 136) -- Cration d'un objet image : la balle canard X : 240 Y : 136
petitcanard = Image.load("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/petitcanard.png") -- On charge l'image du canard  afficher pour le score
palette1 = createImage("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/barre1.png", 16, 45) -- On cr un objet image : la raquette de gauche
palette2 = createImage("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/barre2.png", 457, 45) -- Idem pour la raquette de droite
police = Font.load("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/police.ttf") -- On charge la police
blanc = Color.new(255,255,255) -- On cr la couleur blanc
endroit = "menu" -- On initialise l'endroit, on est dans le menu
textMenu = createTextArea(80, 130, "START pour jouer seul", 30, blanc, police) -- On cr un objet texte pour le menu, X = 80 Y = 130, texte : "Appuyez sur START", taille : 30, couleur : blanc, police : police
textMenu2 = createTextArea(70, 180, "X pour jouer a deux joueurs", 20, blanc, police) -- Idem
textMenu3 = createTextArea(85, 230, "SELECT pour quitter", 20, blanc, police) -- Idem
textV1 = createTextArea(90, 80, "Joueur 1 gagne !", 40, blanc, police) -- Idem pour quand le joueur 1 gagne
textV2 = createTextArea(90, 80, "Joueur 2 gagne !", 40, blanc, police) -- Idem pour quand le joueur 1 gagne
function nouvellePartie (mode) -- Fonction pour crer une nouvelle partue ou simplement rinitialiser la balle
	canard.vitesseX = 0 -- On rinitialise la vitesse X du canard (horizontale)
	while canard.vitesseX < 0.5 do -- Pour viter que le canard soit immobile, on met une boucle
		canard.vitesseX = (math.random(1,16)-8)/4 -- Chois allatoire, la vitesse de dpart peut aller de -7  8
	end
	math.randomseed(os.time()) -- On actualise l'algorythme de chois de nombe allatoire
	canard.vitesseY = 0 -- Idem pour la vitesse Y (verticale)
	while canard.vitesseY < 0.5 do
		canard.vitesseY = (math.random(1,10)-5)/4
	end
	canard.X = 240 -- On remet le canard au milieu
	canard.Y = 136
	if mode == 1 then -- Si on change de partie, on remet les scores  0
		score1 = 0
		score2 = 0
	end
	if score1 > 9 then -- Si le joueur 1 a un score de 10
		endroit = "victoire1" -- On va  l'cran qui dit qu'il a gagn
	elseif score2 > 9 then -- Pareil pour le joueur 2
		endroit = "victoire2"
	end
end

function quitter (dir) -- Si on quitte le mini-jeu, on remet toutes les variables  une valeur nulle
	fond = nil
	canard = nil
	petitcanard = nil
	palette1 = nil
	palette2 = nil
	police = nil
	blanc = nil
	endroit = nil
	textMenu = nil
	textMenu2 = nil
	score1 = nil
	score2 = nil
	include(dir)
end
while true do -- Boucle principale
	screen:clear()
	pad = Controls.read()
	if endroit == "menu" then -- Si on est dans le menu
		display(fond) -- On affiche l'objet image "fond" cr plus haut
		display(textMenu) -- On affiche les trois textes du menu
		display(textMenu2)
		display(textMenu3)
		if pad:start() and not oldpad:start() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 1
			nouvellePartie(1) -- On cr une nouvelle partie
		end
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 2
			nouvellePartie(1) -- On cr une nouvelle partie
		end
	elseif endroit == "jeu" then -- Si on est dans le jeu
		canard.X = canard.X+canard.vitesseX -- On actualise la position X du canard selon sa vitesse
		canard.Y = canard.Y+canard.vitesseY -- Pareil pour sa position Y
		if pad:up() and palette1.Y > 45 then -- Si on appuie sur la flche du haut, la raquette de gauche monte. Dans ces conditions, on utilise les attributs des objets images : position Y et hauteur
			palette1.Y = palette1.Y - 1.5
		end
		if pad:down() and (palette1.Y + palette1.height) < 245 then -- Elle descent. Y = position Y et height = hauteur
			palette1.Y = palette1.Y + 1.5
		end
		if nbJoueurs == 2 then
			if pad:triangle() and palette2.Y > 45 then -- La raquette de droite monte
				palette2.Y = palette2.Y - 1.5
			end
			if pad:cross() and (palette2.Y + palette2.height) < 245 then -- Elle descend
				palette2.Y = palette2.Y + 1.5
			end
		end
		if nbJoueurs == 1 then
			if (canard.Y+canard.height) < palette2.Y and palette2.Y > 45 then
				palette2.Y = palette2.Y-1.5
			elseif canard.Y > (palette2.Y+palette2.height) and (palette2.Y + palette2.height) < 245 then
				palette2.Y = palette2.Y+1.5
			end
		end
		if (canard.X <= (palette1.X + palette1.width)  and (canard.Y+canard.height) > palette1.Y and canard.Y < (palette1.Y+palette1.height)) or ((canard.X+canard.width) >= palette2.X  and (canard.Y+canard.height) > palette2.Y and canard.Y < (palette2.Y+palette2.height)) then -- Collisions avec les deux raquettes.
			canard.vitesseX = canard.vitesseX*(-1.1) -- Si il y a collision, on inverse la vitesse horizontale de la balle en l'augmentant un peu
			canard.vitesseY = canard.vitesseY*1.1 -- On augmente un peu la vitesse verticale pour garder l'angle de direction de la balle
		end
		if canard.Y <= 28 or (canard.Y+canard.height) >= 261 then -- Collisions avec le haut et le bas
			canard.vitesseY = canard.vitesseY*(-1.01) -- On inverse la vitesse verticale
		end
		if (canard.X+canard.width) < 0 then -- Si le canard est trop  gauche
			score2 = score2+1 -- Le joueur 2 gagne un point
			nouvellePartie() -- On initialise une nouvelle balle
		elseif canard.X > 480 then -- Si le canard est trop  droite
			score1 = score1+1 -- Le joueur 1 gagne un point
			nouvellePartie() -- On initialise une nouvelle balle
		end
		display(fond) -- On affiche l'objet image "fond". Pas besoin de donner de position X et Y car elles sont contenues dans les proprits de l'objet (fond.X et fond.Y)
		display(canard) -- Pareil pour le canard
		display(palette1) -- La raquette de gauche
		display(palette2) -- La raquette de droite
		if score1 > 0 then -- Si le scoredu joueur 1  est supprieur  0
			for i=1, score1 do -- On affiche autant de petits canards en haut que la valeur du score
				screen:blit((-6)+(20*i), 2, petitcanard)
			end
		end
		if score2 > 0 then -- Pareil pour le joueur 2
			for i=1, score2 do
				screen:blit(470-(20*i), 2, petitcanard)
			end
		end
	elseif endroit == "victoire1" then -- Si le joueur 1 a gagn
		display(fond) -- On affiche la mme chose que dans le menu
		display(textMenu)
		display(textMenu2)
		display(textMenu3)
		display(textV1) -- Avec le texte de victoire du joueur 1 en plus
		if pad:start() and not oldpad:start() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 1
			nouvellePartie(1) -- On cr une nouvelle partie
		end
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 2
			nouvellePartie(1) -- On cr une nouvelle partie
		end
	elseif endroit == "victoire2" then -- Pareil pour si le joueur 2 gagne
		display(fond)
		display(textMenu)
		display(textMenu2)
		display(textMenu3)
		display(textV2)
		if pad:start() and not oldpad:start() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 1
			nouvellePartie(1) -- On cr une nouvelle partie
		end
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur start
			endroit = "jeu" -- On va au jeu
			nbJoueurs = 2
			nouvellePartie(1) -- On cr une nouvelle partie
		end
	end
	if pad:select() and not oldpad:select() then -- Si on appuie sur SELECT  n'importe quel moment, on quitte le mini-jeu
		quitter("ms0:/PSP/GAME/GoodSHell v3/script.lua")
	end
	oldpad = pad -- On initialise le oldpad
	screen.flip() -- On affiche l'cran
	screen.waitVblankStart()
end
