originalDirectory = System.currentDirectory()

dofile("lib/standards.lib")

pspgen = Image.load("images/PSPGen.png")

oldpad = Controls.read()

--Couleur
violet = Color.new(215,0,255)
blanc = Color.new(255,255,255)
noir = Color.new(0,0,0)
color = Color.new(255,255,255)
rouge = Color.new(255,0,0)
cyan = Color.new(0,255,255)
rose = Color.new(255,0,255)

-- Variables
selecteur = 0
selecteurMax = 4

calque = Image.createEmpty(480,272) -- Crer une image de 480*272
curseur = { x = 240 , y = 136 , img = Image.createEmpty(2,2) , vit = 3 } -- Tableau du curseur
curseur.img:clear(Color.new(255,255,0)) -- Met la couleur jaune au curseur
dessin = Image.createEmpty(2,2) -- Crer le surseur de 2*2
dessin:clear(Color.new(255,255,255)) 

curseurtemps = { x = 0 , y = 0 }

-- Timer

minuteur = Timer.new()
minuteur:start()

status = "Off"

endroit = "Intro"

while true do
	screen:clear()
	pad = Controls.read()
	
	if endroit == "Intro" then -- Intro
		temps = minuteur:time() -- variable de temps
		
		if temps >= 0 then -- Si le temps est agal ou suprieur a 0
			screen:blit(0,0,pspgen) -- On affiche l'image
		end
		if temps >= 3000 then -- Si le temps est gal ou suprieur a 3000
			endroit = "Menu" -- On passe au menu
		end
	end

	if endroit == "Menu" then -- Manu
		screen:print(10,10,"Demarrage GoodShell v3", violet)
		screen:print(10,20,"A new shell, a new world...", violet)
		screen:print(30,50,"Lancer GoodShell", blanc)
		screen:print(30,65,"Lancer Pong", blanc)
		screen:print(30,80,"Lancer Pile ou Face", blanc)
		screen:print(30,95,"Mini Paint", blanc)
		screen:print(30,130,"Retour au XMB", blanc)
		
		if pad:up() and not oldpad:up() then -- Si on appuie sur la flche du haut...
			if selecteur ~= 0 then -- Si le selecteur est diffrent de 0
				selecteur = selecteur -1 -- On dplace le selecteur d'une position en arrire
			end
		end
		
		if pad:down() and not oldpad:down() then -- Si on appuie sur bas...
			if selecteur ~= selecteurMax then -- Si le selecteur est infrieur au selecteurMax (4)
				selecteur = selecteur +1 -- On dplace le selecteur d'une position en avant
			end
		end
		
		if selecteur == 0 then -- Si le selecteur est a 0
			screen:print(30,50,"Lancer GoodShell", violet)
		elseif selecteur == 1 then -- Sinon si le selecteur est gal  1
			screen:print(30,65,"Lancer Pong", violet)
		elseif selecteur == 2 then -- Sinon si le selecteur est gal  2
			screen:print(30,80,"Lancer Pile ou Face", violet)
		elseif selecteur == 3 then -- Sinon si le selecteur est gal  3
			screen:print(30,95,"Mini Paint", violet)
		elseif selecteur == 4 then -- Sinon si le selecteur est gal  4
			screen:print(30,130,"Retour au XMB", violet)
		end
		
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur X...
		
			if selecteur == 0 then -- Si le selecteur est gal  0
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Lancement de GoodShell...", violet)
				screen.flip()
				System.sleep(300)
				dofile("ms0:/PSP/GAME/GoodShell v3/Scripts/menu.lua")
			elseif selecteur == 1 then -- Sinon si le selecteur est gal  1
					centreText(220,"************************************************************",violet)
				screen:print(10,250,"Lancement du Pong...", violet)
				screen.flip()
				System.sleep(300)
				dofile("ms0:/PSP/GAME/GoodShell v3/Scripts/Pong/script.lua")
			elseif selecteur == 2 then -- Sinon si le selecteur est gal  2
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Lancement du Pile ou Face...", violet)
				screen.flip()
				System.sleep(300)
				endroit = "Pile_Face"
			elseif selecteur == 3 then -- Sinon si le selecteur est gal  3
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Lancement du Paint...", violet)
				screen.flip()
				System.sleep(300)
				endroit = "Paint"
			elseif selecteur == 4 then -- Sinon si le selecteur est gal  4
				centreText(220,"************************************************************",violet)
				screen:print(10,250,"Retour au XMB...", violet)
				screen.flip()
				System.sleep(300)
				System.Quit() -- On revient au XMB
			end
			
		end
		centreText(220,"************************************************************",violet)
	end
	
	if endroit == "Pile_Face" then -- Pile ou Face"
		if xxx == 1 then -- Si le xxx est est gal  1
			screen:clear(violet) -- On met l'cran en violet
			centreText(130,"Pile", blanc) -- On affiche le mot "Pile" au centre de l'cran
		elseif xxx == 2 then -- Sinon si xxx est gal  2
			screen:clear(noir) -- On met l'cran en noir
			centreText(130,"Face", blanc) -- On affiche le mot "Face" au centre de l'cran
		end
	
		if pad:cross() and not oldpad:cross() then -- Si on appuie sur X
			xxx = math.random(1,2) -- On choisi alatoirement entre "xxx = 1" et "xxx = 2"
		end
		
		if pad:start() and not oldpad:start() then -- Si on appuie sur start..
			endroit = "Menu" -- On revient au menu
		end
	end
	
	if endroit == "Paint" then -- Paint
		-- Dplacement curseur :
		if math.abs(pad:analogY()) > 32 then
		curseur.y = curseur.y + pad:analogY() / 32
		end

		if math.abs(pad:analogX()) > 32 then
		curseur.x = curseur.x + pad:analogX() / 32
		end
		-- Collision curseur
		if curseur.x < 0 then curseur.x = 0 elseif  curseur.x + curseur.img:width() > 480 then curseur.x = 480 -  curseur.img:width() end
		if curseur.y < 0 then curseur.y = 0 elseif  curseur.y + curseur.img:height() > 272 then curseur.y = 272 -  curseur.img:width() end
		
		screen:blit(0,0,calque) -- On affiche le calque
		screen:blit(curseur.x,curseur.y,curseur.img) -- Affiche le curseur
		
	    if pad:cross() then -- Si on appuie sur X...
			calque:blit(curseur.x-1,curseur.y-1,dessin); --On affiche ce qu'on va dessiner sur un Calque. Ceci fait en sorte que ce dernier n'est pas effac
	    end

		if pad:square() then -- Si on appuie sur carr...
			curseurtemps = { x = curseur.x , y = curseur.y } -- On choisi la longueur du trait
			status = "On"
		end

		if pad:triangle() then -- Si on appuie sur triangle
			if status == "On" then status = "Off" calque:drawLine(curseurtemps.x,curseurtemps.y,curseur.x,curseur.y,Color.new(255,0,0))  end
		end
		
		if status == "On" then -- Si le status est gal  "on"
			screen:drawLine(curseurtemps.x,curseurtemps.y,curseur.x,curseur.y,Color.new(255,0,0)) -- Affiche le trait
		end
		
		if pad:circle() then -- Si on appuie sur O...
			calque:clear(Color.new(255,255,255,0)) -- On efface le dessin
		end
		
		if pad:start() and not oldpad:start() then -- Si on appuie sur start..
			calque:clear(Color.new(255,255,255,0)) -- On efface le dessin (s'il yen a un)
			endroit = "Menu" -- On retour au menu
		end
	end
	
	screen.flip()
	screen.waitVblankStart()
	oldpad = pad
end
